import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'qq_platform_interface.dart';

/// An implementation of [QqPlatform] that uses method channels.
class MethodChannelQq extends QqPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('qq');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
