import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'qq_method_channel.dart';

abstract class QqPlatform extends PlatformInterface {
  /// Constructs a QqPlatform.
  QqPlatform() : super(token: _token);

  static final Object _token = Object();

  static QqPlatform _instance = MethodChannelQq();

  /// The default instance of [QqPlatform] to use.
  ///
  /// Defaults to [MethodChannelQq].
  static QqPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [QqPlatform] when
  /// they register themselves.
  static set instance(QqPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
