import 'package:flutter_test/flutter_test.dart';
import 'package:qq/qq.dart';
import 'package:qq/qq_platform_interface.dart';
import 'package:qq/qq_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockQqPlatform
    with MockPlatformInterfaceMixin
    implements QqPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final QqPlatform initialPlatform = QqPlatform.instance;

  test('$MethodChannelQq is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelQq>());
  });

  test('getPlatformVersion', () async {
    Qq qqPlugin = Qq();
    MockQqPlatform fakePlatform = MockQqPlatform();
    QqPlatform.instance = fakePlatform;

    expect(await qqPlugin.getPlatformVersion(), '42');
  });
}
